.include "../inc/x16.inc"
.include "../inc/vera.inc"
.include "../inc/math.inc"
.include "../inc/print.inc"

.export input_keyboard
.export input_show_mouse_loc
.export input_show_key

input_keyboard:
	jsr GETIN
	cmp #0
	bne @got_key
	rts ; No input.

	@got_key:	
	cmp #CHAR_Q
	beq @quit
	cmp #CHAR_W
	beq @funct1
	rts

	@quit:
;	jsr loop_quit
	rts

	@funct1:
;	jsr loop_function1
	rts


input_show_mouse_loc:
	vera_SET_TEXT_ADDR_XY #0, #0

	lda ZPW_MOUSE_X
	sta BIN
	lda ZPW_MOUSE_X+1
	sta BIN+1
	jsr math_bcd_16

	lda BCD+1
	and #$0f
	ora #$30
	sta $40
	print_CHAR $40, #$b8
	lda BCD
	lsr
	lsr
	lsr
	lsr
	ora #$30
	sta $40
	print_CHAR $40, #$b8
	lda BCD
	and #$0f
	ora #$30
	sta $40
	print_CHAR $40, #$b8

	print_CHAR #$2c, #$b8

	lda ZPW_MOUSE_Y
	sta BIN
	lda ZPW_MOUSE_Y+1
	sta BIN+1
	jsr math_bcd_16

	lda BCD+1
	and #$0f
	ora #$30
	sta $40
	print_CHAR $40, #$b8
	lda BCD
	lsr
	lsr
	lsr
	lsr
	ora #$30
	sta $40
	print_CHAR $40, #$b8
	lda BCD
	and #$0f
	ora #$30
	sta $40
	print_CHAR $40, #$b8
	rts


input_show_key:
	vera_SET_TEXT_ADDR_XY #0, #0

	lda ZPB_CTL_KEY
	cmp #0
	beq @return

;	sta BIN
;	stz BIN+1
;	jsr math_bcd_16

	lda ZPB_CTL_KEY
	lsr
	lsr
	lsr
	lsr
;	ora #$30
	sta ZPB_R0
	print_HEX_CHAR ZPB_R0, #$b5
	lda ZPB_CTL_KEY
	and #$0f
;	ora #$30
	sta ZPB_R0
	print_HEX_CHAR ZPB_R0, #$b5
	
	@return:
	rts
