
.import draw_clear
.import draw_line
.import draw_block


.macro draw_LINE stride, length, color
	lda #color
	sta $37
	vera_SET_STRIDE stride
	mem_LOAD_16 length, $33
	jsr draw_line
	.endmacro


.macro draw_BOX width, height, color
	draw_LINE $10, (width-1), color
	draw_LINE $e0, (height-1), color
	draw_LINE $18, (width-1), color
	draw_LINE $e8, (height-1), color
	.endmacro


.macro draw_BLOCK width, height
	mem_LOAD_16 width, $40
	mem_LOAD_16 height, $42
	jsr draw_block
	.endmacro
