
.import HEX

.import print_char
.import print_next_char
.import print_hex
.import print_decimal


.macro print_CHAR petscii, color
	lda petscii
	sta VERA_data0
	lda color
	sta VERA_data0
	inc $30
	inc $30
	vera_SET_TEXT_ADDR
	.endmacro


.macro print_HEX_CHAR petscii, color
	lda petscii
	cmp #$a
	bpl :+
	ora #$30
	bra :++
	:
	sec
	sbc #$09
	:
	sta VERA_data0
	lda color
	sta VERA_data0
	inc $30
	inc $30
	vera_SET_TEXT_ADDR
	.endmacro


.macro print_STRING str_addr, color
	ldx #0
	:
	lda str_addr,x
	beq :+
	sta VERA_data0
	lda color
	sta VERA_data0
	inc $30
	inc $30
	vera_SET_TEXT_ADDR
	inx
	bra :-
	:
	.endmacro


.macro print_BCD_BYTE loc, color
	lda loc
	sta HTD_IN	; Hex To Decimal IN

	jsr math_convert_to_bcd

	lda HTD_OUT
	lsr
	lsr
	lsr
	lsr
	ora #$30
	sta $40
	print_CHAR $40, color
	lda HTD_OUT
	and #$0f
	ora #$30
	sta $40
	print_CHAR $40, color
	.endmacro	


.macro print_BCD_WORD loc, color
	lda loc
	sta HTD_IN	; Hex To Decimal IN
	lda loc+1
	sta HTD_IN+1	; Hex To Decimal IN

	jsr math_convert_to_bcd

	lda HTD_OUT+1
	lsr
	lsr
	lsr
	lsr
	ora #$30
	sta $40
	print_CHAR $40, color

	lda HTD_OUT+1
	and #$0f
	ora #$30
	sta $40
	print_CHAR $40, color

	lda HTD_OUT
	lsr
	lsr
	lsr
	lsr
	ora #$30
	sta $40
	print_CHAR $40, color

	lda HTD_OUT
	and #$0f
	ora #$30
	sta $40
	print_CHAR $40, color

	.endmacro		