
; Zero Page
ZPDW_0				= $50;$51;$52;$53
ZPDW_1				= $54;$55;$56;$57

ZPB_R0				= $58
ZPB_R1				= $59
ZPB_R2				= $5a
ZPB_R3				= $5b
ZPB_R4				= $5c
ZPB_R5				= $5d
ZPB_R6				= $5e
ZPB_R7				= $5f

ZPW_R0				= $60;$61
ZPW_R1				= $62;$63
ZPW_R2				= $64;$65
ZPW_R3				= $66;$67
ZPW_R4				= $68;$69
ZPW_R5				= $6a;$6b
ZPW_R6				= $6c;$6d
ZPW_R7				= $6e;$6f

ZPB_CTL_FOCUS		= $70
ZPB_CTL_KEY			= $71
ZP24_R0				= $72;$73;$74
ZP24_R1				= $75;$76;$77
ZPW_CTL_INDEX		= $78;$79		

ZPB_MOUSE_BTNS		= $7b
ZPW_MOUSE_X			= $7c;$7d
ZPW_MOUSE_Y			= $7e;$7f

; Vera registers.
VERA_addr_low		= $9f20
VERA_addr_high		= $9f21
VERA_addr_bank		= $9f22
VERA_data0			= $9f23
VERA_data1			= $9f24
VERA_ctrl			= $9f25
VERA_ien			= $9f26
VERA_isr			= $9f27

VERA_dc_video		= $9f29
VERA_dc_hscale		= $9f2a
VERA_dc_vscale		= $9f2b

VERA_L0_config		= $9f2d
VERA_L0_mapbase		= $9f2e
VERA_L0_tilebase	= $9f2f
VERA_L0_hscroll_l	= $9f30
VERA_L0_hscroll_h	= $9f31
VERA_L0_vscroll_l	= $9f32
VERA_L0_vscroll_h	= $9f33

VERA_L1_config		= $9f34
VERA_L1_mapbase		= $9f35
VERA_L1_tilebase	= $9f36
VERA_L1_hscroll_l	= $9f37
VERA_L1_hscroll_h	= $9f38
VERA_L1_vscroll_l	= $9f39
VERA_L1_vscroll_h	= $9f3a

; VERA VRAM memory map.
VRAM_sprites		= $1fc00
VRAM_palette		= $1fa00
VRAM_psg			= $1f9c0
VRAM_petscii		= $1f000
VRAM_layer1_base	= $1b000

VRAM_sprite_data	= $13400
;VRAM_sprite_data	= $12c00
VRAM_bitmap_end     = $12bff
VRAM_bitmap			= $00000

VSYNC_BIT			= $01

ROM_BANK			= 1
BASIC_BANK			= 4
CHARSET_BANK		= 6

mouse_config 		= $ff68
mouse_get			= $ff6b
; Character set ROM
LOWER_UPPER			= $c400

; Kernal
CHROUT				= $ffd2
GETIN				= $ffe4
SETLFS				= $ffba
SETNAM				= $ffbd
LOAD				= $ffd5
SAVE				= $ffd8
OPEN				= $ffc0
CLOSE				= $ffc3
CHKOUT				= $ffc9
; PETSCII codes
CHAR_SPACE			= $20
CHAR_0				= $30
CHAR_Q				= $51
CHAR_W				= $57
CLR					= $93
